"""

Revision ID: d3a99ca3445c
Revises: eb61e49d809a
Create Date: 2023-11-17 14:28:34.252313

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'd3a99ca3445c'
down_revision: Union[str, None] = 'eb61e49d809a'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('history', sa.Column('id_user', sa.Integer(), nullable=True))
    op.create_foreign_key(None, 'history', 'user', ['id_user'], ['id_user'])
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'history', type_='foreignkey')
    op.drop_column('history', 'id_user')
    # ### end Alembic commands ###
